Bug 29741 - libraw: new version
: libraw: new version
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libraw)
: unstable
: all Linux
: P3 enhancement
Assigned To:
:
: http://www.libraw.org/
:
:
:
  Show dependency tree
 
Reported: 2014-01-20 03:14 by
Modified: 2015-06-10 17:24 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2014-01-20 03:14:38
0.14.7->0.16

LibRaw 0.16 Release
Submitted by lexa on 18 January, 2014 - 22:27

LibRaw 0.16-Release changes (since 0.15.x):
Support for new cameras:
Baumer TXG14
Blackmagic Cinema
Canon EOS 70D, C500, S120, G16
Fujifilm X-M1, X-A1, XE2, XQ1
Hasselblad Lunar, Stellar
Leica C, X VARIO
Nikon D5200, P7800, D5300, D610, Df, 1 AW1
Nokia Lumia 1020, 1520
Olympus E-P5,E-M1, STYLUS1
OmniVision OV5647 (Raspberry Pi)
Panasonic LF1, GX7, GF6, GM1
Pentax K-50, K-500, Q7,K-3
Richon GR
Samsung NX300, NX1100, NX2000, Galaxy NX (EK-GN120)
Read more about LibRaw 0.16 Releaselexa's blogAdd new comment
LibRaw 0.15.4
Submitted by lexa on 28 August, 2013 - 22:42

LibRaw 0.15.4 released:
Additional checks to data to prevent broken file opening
New camera/format support:
Richon GR
Panasonic LF1
Canon EOS 70D
Sony RX100II, RX1R
Olympus E-P5
Read more about LibRaw 0.15.4lexa's blogAdd new comment
LibRaw 0.15.0 Release
Submitted by lexa on 23 May, 2013 - 16:36

LibRaw 0.15 Release available for download and use
New camera/format support

Adobe DNG:    fast Load DNG (LightRoom 4.x), support for
lossy-compressed DNG (LR 4.x, requires libjpeg 6+)
Canon:    G1 X, SX220 HS, EOS 5D Mark III, EOS 650D, EOS 1D-X,
100D (Rebel SL1), 700D (Rebel T5i), 6D, EOS M, G15, S110, SX50
Casio:    X-S1, HS30EXR, X1-Pro, EX-ZR100,EX-Z8
Fujifilm:    X-E1, X20, X100S, SL1000, HS50EXR, F800EXR, XF1
Leica:    D-LUX6 and V-LUX4
Nikon:    D4, D3200, D800, D800E, 1 J2, 1 V2, D600, 1 J3, 1 S1, Coolpix A,
Coolpix P330, Coolpix P7700, D7100
Olympus:    E-M5, XZ-2, XZ-10, E-PL5, E-PM2
Panasonic:    G5, G6, DMC-GF5, FZ200, GH3, LX7
Pentax:    MX-1, K-5 II, K-5 IIs, K-30, Q10
Samsung:    EX2F, NX20, NX210, support for the new firmware for NX100
Sigma:    SD15, SD1, SD1 Merill, DP1, DP1S, DP1X, DP2, DP2S, DP2X
(only with Demosaic-pack-GPL2)
Sony:    SLT-A58, RX-1, SLT-A99, NEX-5R, NEX-6, NEX-F3, SLT-A37, SLT-A57
Multishot files:    Imacon Ixpress 39Mpix
API changes

dcraw_process() can now be called several times with different parameters
without re-opening and unpacking the file for second and consecutive
calls to dcraw_process
Deleted (nobody uses those)
LibRaw::dcraw_document_mode_processing (and respective C-API)
imgdata.color.color_flags data field
LibRaw::unpack() now decodes data into different buffers, the buffer
depends on the raw data type
imgdata.rawdata.raw_image - 1 color component per pixel,
for b/w and Bayer type sensors
imgdata.rawdata.color3_image - 3 color components per pixel,
sRAW/mRAW files, RawSpeed decoding
imgdata.rawdata.color4_image - 4 components per pixel, the 4th
component can be void
Support for compiling with RawSpeed library, http://rawstudio.org/blog/?p=800
details are in README.RawSpeed
Suppression of banding
New API calls
recycle_datastream(),
open_file(wchar_t*) (Win32)
Read more about LibRaw 0.15.0 Releaselexa's blogAdd new comment
------- Comment #1 From 2014-01-21 15:14:00 -------
Обновлено до 0.16.0
------- Comment #2 From 2015-05-27 13:18:12 -------
Прошу обновить до 0.16.2

16-05-2015 LibRaw 0.16.2
Fixed several bugs detected by running American Fuzzy Lop
11-05-2015 LibRaw 0.16.1
Fixed dcraw vulnerability in ljpeg_start()
------- Comment #3 From 2015-06-10 17:24:00 -------
libraw-0.16.2-alt1 -> sisyphus:

* Wed Jun 10 2015 Yuri N. Sedunov <aris@altlinux> 0.16.2-alt1
- 0.16.2 (ALT #29741)